/** 
 *------------------------------------------------------------------------------
 * @package       T3 Framework for Joomla!
 *------------------------------------------------------------------------------
 * @copyright     Copyright (C) 2004-2013 JoomlArt.com. All Rights Reserved.
 * @license       GNU General Public License version 2 or later; see LICENSE.txt
 * @authors       JoomlArt, JoomlaBamboo, (contribute to this project at github 
 *                & Google group to become co-author)
 * @Google group: https://groups.google.com/forum/#!forum/t3fw
 * @Link:         http://t3-framework.org 
 *------------------------------------------------------------------------------
 */


// --------------------------------------------------
// MODULE STYLES
// --------------------------------------------------

// 
// GENECRIC MODULE
// --------------------------------------------------
.t3-module {
  color: @t3-module-color;
  margin: 0 0 (@t3-global-margin * 2) 0;

  // Larger margin on Tablet / Desktop
  /*@media screen and (max-width: @screen-sm) {
    margin-bottom: @line-height-computed * 2;
  }*/

  // Module padding
  .module-inner {
    padding: @t3-module-padding;
		position: relative;
  }
}

// Module Title
// ------------
.module-title {
  color: @t3-module-title-color;
	margin-bottom: @padding-large-vertical * 2;

  // Larger margin on Tablet / Desktop
  @media screen and (min-width: @screen-sm) {
    //margin-bottom: @line-height-computed;
  }
}

// alternate title
// ---------------
.t3-portfolio .module-title {
	background:url(../images/feat-h3.png) 0 3px no-repeat; 
	padding: 0 0 5px 32px;
	
	// target safari and chrome 
	@media screen and (-webkit-min-device-pixel-ratio:0) {
		background-position: 0 6px;
	}
}

.t3-sidebar .module-title {
	background: url(../images/mbullet.png) -2px 2px no-repeat;
	padding: 0 0 5px 32px;
	
	// target safari and chrome 
	@media screen and (-webkit-min-device-pixel-ratio:0) {
		background-position: 0 6px;
	}
}

// Sidebar Search
// --------------
.t3-sidebar .inputbox {
	display: inline;
	margin-right: 5px;
	width: 99%;
}

.t3-sidebar .button {
	position: absolute;
	right: 0;
	top: 0;
}

// Module Content
// --------------
.module-ct {
  background: @t3-module-content-bg;
  color: @t3-module-content-color;
  padding: @t3-module-content-padding;
  .clearfix();
}

.module-ct, .custom {
	p {
		margin-bottom: @line-height-computed/4;
	}
}


// Module List
// -----------
.module-ct,
.module-ct .custom {
  > ul,
  > ol {
    margin-left: 20px;
    padding-left: 0;
  }
  
  > ul.unstyled,
  > ol.unstyled {
    padding-left: 0;
  }

  > ul.nav,
  > ol.nav {
    padding-left: 0;
    margin-left: 0;
  }
}



//
// JOOMLA! MODULES
// --------------------------------------------------

// Menu
// ----
.module_menu {
  .nav {
  }
  
  .nav > li {
  }
  
  .nav > li > a,
  .nav > li > .separator {
    padding: @padding-base-vertical 5px;
    display: block;
  }

  // Hover state
  .nav > li > a:hover {
		color: @gray-darker;
  }
  
  // Active state
  .nav > li.active > a {
  }
}

// Most read
// ---------
ul.mostread {
	margin: 0;
	padding: 0;
	list-style: none;
	border-top: 1px dotted @t3-border-color;
	
	> li > a {
		background: url(../images/arrow3.png) no-repeat 0px -17px;
		border-bottom: 1px dotted @t3-border-color;
		color: @text-color;
		padding: @padding-base-vertical 0 @padding-base-vertical 22px;
		display: block;
		&:hover {
			color: @gray-darker;
			background-position: -20px 14px;
		}
	}
}


// Login Form
// ----------
#login-form {
  
  input[type="text"],
  input[type="password"] {
    width: 100%;
  }
  
  .btn-primary {
  }
  
  ul.unstyled {
    margin-top: @line-height-computed;
    padding-left: 20px;
  }

  #form-login-username {
  }
  
  #form-login-password {
  }
  
  #form-login-remember {
    label {
      font-weight: normal;
    }
  }

}


// Advertisement
// -------------
.bannergroup {
}

.banneritem {
  a {
    font-weight: bold;
  }
}

.bannerfooter {
  border-top: 1px solid @t3-border-color;
  font-size: @t3-font-size-smaller;
  padding-top: @t3-global-padding / 2;
  text-align: right;
}


// Categories
// ----------
.categories-module, ul.categories-module,
.category-module, ul.category-module {
  margin: 0;

  li {
    list-style: none;
    padding: (@line-height-computed / 2) 0;
    border-top: 1px solid @t3-border-color;
    // Remove border for first item
    &:first-child {
      border-top: 0;
    }
  }
  
  h4 {
    font-size: @font-size-base;
    font-weight: normal;
    margin: 0;
  }
}


// News Feed
// ----------
.feed {
  // Feed Title
  h4 {
    font-weight: bold;
  }
  // Feed list
  .newsfeed,
  ul.newsfeed {
    border-top: 1px solid @hr-border;
    li {}
    .feed-link, 
    h5.feed-link {
      font-size: @font-size-base;
      font-weight: normal;
      margin: 0;
    }
  }

}


// Latest Users 
// ------------
.latestusers,
ul.latestusers {
  margin-left: 0;
  li {
    background: @gray-lighter;
    display: inline-block;
    padding: 5px 10px;
    border-radius: @border-radius-base;
  }
}


// Stats 
// -----
.stats-module {
  dt, dd {
    display: inline-block;
    margin: 0;
  }
  dt {
    font-weight: bold;
    width: 35%;
  }
  dd {
    width: 60%;
  }
}


// Popular Tags
//-------------
.tagspopular {
  ul {
    display: block;
    margin: 0;
    padding: 0;
    list-style: none;
    overflow: hidden;
  }

  ul > li {
    color: @gray;
    display: inline-block;
    margin: 0 5px 5px 0;
  }

  ul > li > a {
    background: @gray-lighter;
    border-radius: 3px;
    color: @gray;
    display: block;
    padding: 2px 5px;
    // Links states
    &:hover,
    &:focus,
    &:active {
      background: @link-hover-color;
      color: @white;
      text-decoration: none;
    }
  }
}



// Similar tags
// ------------
.tagssimilar {
  ul {
    margin: 0;
    padding: 0;
    list-style: none;
  }

  ul > li {
    border-bottom: 1px solid @gray-lighter;
    padding: 8px 0;
  }

  ul > li > a {
    color: @gray;
    // Link states
    &:hover,
    &:focus,
    &:active {
      color: @link-hover-color;
    }
  }
}


// Breadcrums Module
// -----------------
.module-ct > ol.breadcrumb {
  padding: @padding-base-vertical @padding-base-horizontal;
  margin-left: 0;
}


// Slider Module
// -------------
.t3-slider {
	// reduce padding on tablet and phone
 	@media screen and (max-width: @screen-md) {
		padding: @t3-global-padding 0 (@t3-global-padding / 2) 0!important;
	}	

	.camera_wrap .camera_pag .camera_pag_ul {
		text-align: center;
		
		li {
			margin: 15px 3px 10px 3px;
			// reduce margin on tablet and phone
 			@media screen and (max-width: @screen-md) {
				margin-bottom: 0;
			}	
		}
		
		li, li > span {
			width: 6px;
			height: 6px;
		}
		
		li > span {
			top: 0;
			left: 0;
		}
	}
	
	.camera_wrap:hover .camera_prev, 
	.camera_wrap:hover .camera_next{
		.opacity(.5)!important;
	}
	
	.camera_wrap .camera_prev:hover, 
	.camera_wrap .camera_next:hover{
		.opacity(.9)!important;
	}
	
	.camera_prev, 
	.camera_next{
		width: 40px!important; 
		height: 40px!important; 
		position: absolute!important;
		//margin-top: -30px!important
		background: url(../images/big-arrow.png);
		background-repeat: no-repeat;
	}
	
	.camera_prev {
		background-position: 0 0;
	}
	
	.camera_next {
		right: 0px!important; 
		background-position: 100% 0;
	}
	
	.camera_prev > span, 
	.camera_next > span, 
	.camera_commands > .camera_play, 
	.camera_commands, 
	.camera_commands > .camera_stop{
		background:none!important;
	}
	
	.slideshowck {
		height: 450px;
		// smaller on normal desktop
  	@media screen and (max-width: @screen-md-max) {
			height: 353px;
		}	
		// smaller on normal tablet
  	@media screen and (max-width: @screen-md) {
			height: 270px;
		}	
		// smaller on normal tablet
  	@media screen and (max-width: @screen-xs) {
			height: 180px;
		}	
	}
}


// TABS GK5 MODULES 
//--------------------------------------------------------

.gkTabsWrap.vertical ol, 
.gkTabsWrap.horizontal ol{
	position: absolute;
	right: 0;
	top: -5px;
	
	// center it on Tablet / Desktop
  @media screen and (max-width: @screen-sm) {
		text-align: left;
		margin-top: 10px!important;
	}

	li {
		line-height: 28px!important;
		margin: 0 0 0 5px!important;
		padding: 6px 20px!important;
		font-size: inherit;
		background: @t3-footer-background;
		color: @white;

		&:hover {
			background: @brand-primary;
		}

		&.active {
			color: @white;
			background: @brand-primary;
			&:hover {
				background: darken(@brand-primary, 5%);
			}
		}
		
		//add space between li
	  @media screen and (max-width: @screen-sm) {
			margin-bottom: 5px!important;
		}
	}
}


// NSP GK5 Modules 
// -----------------------------------------------------------

.t3-sidebar .module-ct {
	position:relative;
}
.t3-sidebar .nspArt, .navbar .nspArt {
   //border-bottom: solid 1px @T3borderColor;
}

// center it on Tablet / Desktop
@media screen and (max-width: @screen-sm) {
	.nspArt {clear: none!important;}
	.nspArt.nspCol3, .nspArt.nspCol4, .nspArt.nspCol5 {
		width:50%;
		margin-top: 20px;
		margin-bottom: 5px;
	}
}

@media screen and (max-width: @screen-xs) {
	.nspArt.nspCol2, .nspArt.nspCol3, .nspArt.nspCol4, .nspArt.nspCol5 {
		width:100%;
		margin-top: 20px;
		margin-bottom: 5px;
	}
}

.nspMain {
	margin: 0 -15px!important;
}

.nspArt {
	padding: 0 15px!important;
}


.nspArt a.modal {
	position: relative;
	left: 0;
	top: 0;
	width: auto;
	border: 0;
	overflow: hidden;
}

.nspBotInterface,
.nspTopInterface {
	top: 5px;
}

.nspNext,
.nspPrev {
	border-radius: @border-radius-large;
}

.nspArt img.nspImage {
	.backface-visibility(hidden);
	overflow: hidden;
}
.nspImageWrapper {
	-webkit-transform: translateZ(0);
	overflow: hidden;
}


/* NSP GK4 as a testimonial Modules */
.testimonial .nspArt {
	h4.nspHeader{
		margin:0 0 5px 0; 
		padding: 30px 0 0 0; 
		background: url(../images/testimonial-ballon.png) 0 0 no-repeat; 
	}
	p.nspText{
		padding:0 0 20px 40px; 
		background:url(../images/start-quote.png) 0 0 no-repeat; 
		font:italic 16px/1.8 Georgia, "Times New Roman", Times, serif;
	}
}

/* NSP GK4 as a grid portfolio inside tab modules */
.gkTabsContainer {
	padding-top: 10px; 
	
	// reduce padding on Tablet / Desktop
	@media screen and (max-width: @screen-sm) {
		padding-top: 0;	
	}
	
	.nspMain {
		position: relative;
		margin: 0 -10px -15px!important;
	}
	.nspArt {
		padding: 15px 10px 20px 10px!important;
		
		.nspImageWrapper{
			background: @gray-lighter url(../images/stripline.png) 0 0 repeat; 
			padding: 10px;
			-ms-transition: all 0.45s ease;
			.transition(all .4s ease);
		}
		
		&:hover .nspImageWrapper {
			background-color: darken(@gray-lighter, 10%);
		}
		
		h4.nspHeader {
			padding: 0 0 0 1px;
			font-size: @font-size-h4;
			letter-spacing: 0.5px;
			@media (min-width: @screen-sm) and (max-width: @screen-lg) {
      	font-size: @font-size-h4 - 2;
    	}
		}
		
		p.nspText {
			padding: 10px 0 0!important;
			font-size: @t3-font-size-small;
		}
	}
}
 
// NSP GK5 on section Blog
.t3-content {
	.nspArt h4.nspHeader {
		margin: 0;
		padding-bottom: 0;
		font-size: @font-size-h4;
		@media (min-width: @screen-sm) and (max-width: @screen-lg) {
      font-size: @font-size-h4 - 2;
    }
	}
	.nspArt p.nspInfo {
		color: #aaa;
		text-transform: none;
		a {
			color: #aaa;
		}
	}

	.nspArt p.nspText {
		padding: 15px 0 0;
	}
}

.t3-footer {
	.nspArt img.nspImage {
		border: 5px solid #282828;
	}
}


/* Social Icon Custom Modules */
ul.social {
	text-align: right;
	margin: 0;
	
	li{
		display: inline-block; 
		background: none; 
		padding: 0!important; 
		margin-left: 10px;  
	}
	li a{
		width: 32px; 
		height: 32px; 
		display: inline-block; 
		font-size: 0px; 
		padding: 0!important;  
		text-indent: -999em; 
		background-image: url(../images/social.png); 
		background-color: #737373;
		border-radius: @border-radius-large;	  
		&:hover{
			background-color: @white;
		}
	}
	li .fb{
		background-position:0 0;
	}
	.tweet{
		background-position:-32px 0;
	}
	li .gplus{
		background-position:-64px 0;
	}
	li .pinterest{
		background-position:-96px 0;
	}
	li .youtube{
		background-position:-128px 0;
	}
}

// Acymailing Modules 
// --------------------------------------------------
.acymailing_module .modal {
	position:relative; 
	left: 0; 
	top: @t3-global-padding/4;
	width: auto;
	margin-left: 0;
	border: 0; 
	background-color: transparent;
	z-index: auto;
	box-shadow: none;
	overflow: hidden;
	background:#1c1c1c;
	padding: (@t3-global-padding*.5) 0;
	&:hover {
		 background:#111;
	}
}

.t3-newsletter .acymailing_mootoolsbutton {
	float: right;
	// center it on Tablet / Desktop
  @media screen and (max-width: @screen-sm-max) {
		float: none;
		margin: 20px auto 25px auto!important;
  }
}

.t3-newsletter .acymailing_mootoolsintro {
	// center it on Tablet / Desktop
  @media screen and (max-width: @screen-sm-max) {
		text-align: center;
		padding: 0 (@t3-global-padding * 1.5);
		float: none;
	}
}

// FoxContact
// ----------
#t3-mainbody .t3-content .foxcontainer {
	display: inline-block;
	padding-bottom: @t3-global-padding*2;

	.control-group .controls div {
		padding-bottom: @t3-global-padding;
	}
	input[type="text"], textarea, button{
		border-radius: @border-radius-base;
	}
	label {
		font-weight: normal;
	}
	.btn-success {
		background-color: @brand-primary;
		border: none;
		background-image: none;
		position: absolute;
		left: @t3-global-margin;
		&:hover {
			color: @white;
			background-color: darken(@brand-primary, 5%);
		}
	}
	// more width text area
  @media screen and (min-width: @screen-md) {
		textarea {
			width: 350px;
		}
	}
}



/* Quick Contact */
#s5_quick_contact {
	line-height: normal;
	position: relative;
}

#s5_qc_submitbutton.button {
	background-color: @brand-primary;
	border: 0;
	bottom: -24px; 
	padding: @padding-base-vertical (@padding-base-vertical*2);
	color: @white;
	
	&:hover {
		background-color: darken(@brand-primary, 5%);
	}
}


/* GOOGLE MAP MODULE ----*/
#map{
	width:100%!important; 
}
